Watchlist endpoints
Create a watchlist
Section titled “Create a watchlist”curl -X POST "https://gitstars.io/api/watchlists" \ -H "Content-Type: application/json" \ -d '{"name":"AI tooling","ids":["123456"]}'Read a watchlist
Section titled “Read a watchlist”curl "https://gitstars.io/api/watchlists/:token"Update a watchlist name
Section titled “Update a watchlist name”curl -X PATCH "https://gitstars.io/api/watchlists/:token" \ -H "Content-Type: application/json" \ -d '{"name":"Updated name"}'List repositories
Section titled “List repositories”curl "https://gitstars.io/api/watchlists/:token/repositories?window=24h"Add and remove items
Section titled “Add and remove items”curl -X POST "https://gitstars.io/api/watchlists/:token/items" \ -H "Content-Type: application/json" \ -d '{"repositoryId":"123456"}'
curl -X DELETE "https://gitstars.io/api/watchlists/:token/items/123456"Public token endpoints are distinct from signed-in /api/me/watchlist endpoints.